<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Iconic_WDS_Shortcodes.
 *
 * @class    Iconic_WDS_Shortcodes
 * @version  1.0.0
 * @category Class
 * @author   Iconic
 */
class Iconic_WDS_Shortcodes {
	/**
	 * Run.
	 */
	public static function run() {
		if ( is_admin() ) {
			return;
		}

		add_shortcode( 'iconic-wds-next-delivery-date', array( __CLASS__, 'next_delivery_date' ) );
	}

	/**
	 * Output next available delivery date.
	 *
	 * @param array $atts
	 *
	 * @return string
	 */
	public static function next_delivery_date( $atts ) {
		global $jckwds;

		$atts = shortcode_atts( array(
			'format' => 'admin_formatted',
		), $atts, 'iconic-wds-next-delivery-date' );

		$upcoming_bookable_dates = $jckwds->get_upcoming_bookable_dates();

		$date = isset( $upcoming_bookable_dates[0][ $atts['format'] ] ) ? $upcoming_bookable_dates[0][ $atts['format'] ] : '';

		return apply_filters( 'iconic_wds_next_delivery_date', $date, $upcoming_bookable_dates );
	}
}